/*
**
** Headers for Steve Reid's Public Domain SHA1 implementation
**
** $Id: sha1.h,v 1.3 2005/08/21 03:40:18 jsd Exp $
*/

#ifndef _SHA1_H
#define _SHA1_H
#include <stdint.h>     /* for uint32_t */

#define SHA1_HASH_LEN	20

typedef struct {
    uint32_t state[5];
    uint32_t count[2];
    unsigned char buffer[64];
} SHA1_CTX;

typedef SHA1_CTX SHA_CTX;

void SHA1_Init(SHA1_CTX* context);
void SHA1_Update(SHA1_CTX* context, const void* data, 
	const unsigned int len);
void SHA1_Final(unsigned char digest[20], SHA1_CTX* context);

#endif /* _SHA1_H */
